Skip to main content
GET
/
bridge
/
api
/
v1
/
workspaces
/
{workspaceId}
/
contacts
/
{contactId}
Retrieve a contact by ID
curl --request GET \
  --url https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/contacts/{contactId} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/contacts/{contactId}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/contacts/{contactId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "workspaceId": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "firstName": "John",
  "lastName": "Doe",
  "email": "john.doe@example.com",
  "cellphone": "+14084029292",
  "customAttributes": [
    {
      "key": "<string>",
      "values": [
        "<string>"
      ]
    }
  ],
  "languageCode": "EN",
  "ownerId": "37673840-6259-40f9-bbe5-a7db40f8e3cf"
}

Authorizations

x-api-key
string
header
required

Copy the API key as provided by the Bridge Console.

Path Parameters

workspaceId
string<uuid>
required

Unique identifier of the workspace (UUID v4).

Example:

"b6cf1c4a-2b1e-4e63-8f3e-0f9d1a2a1234"

contactId
string<uuid>
required

Unique identifier of the contact (UUID v4).

Example:

"4e362e2b-67b2-4a7e-a9df-e9ecf9141be8"

Response

Successful Response

Response body for contact-related operations.

id
string
required

Unique identifier for the contact (UUID v4).

Example:

"b6cf1c4a-2b1e-4e63-8f3e-0f9d1a2a1234"

workspaceId
string
required

Unique identifier of the workspace this contact belongs to

Example:

"92b2d4f3-81e1-4b61-a7ec-6f4ff3b58be5"

type
enum<string>
required

NORMAL when all required identity and custom attribute fields are present, PARTIAL otherwise.

Available options:
PARTIAL,
NORMAL
Examples:

"NORMAL"

"PARTIAL"

createdAt
string
required

Timestamp when the contact was created.

Example:

"2003-04-10T08:00:00.000Z"

updatedAt
string
required

Timestamp when the contact was last updated.

Example:

"2003-04-10T08:00:00.000Z"

firstName
string | null

Contact's first name.

Example:

"John"

lastName
string | null

Contact's last name.

Example:

"Doe"

email
string<email> | null

Contact's email address.

Example:

"john.doe@example.com"

cellphone
string<phone> | null

Contact's cellphone address.

Example:

"+14084029292"

customAttributes
CustomAttributeResponse · object[]

Array of custom key-value attributes.

languageCode
enum<string> | null

Language code from external user.

Available options:
ES,
EN
Example:

"EN"

ownerId
string | null

Email address of the salesperson or user who owns this contact.

Example:

"37673840-6259-40f9-bbe5-a7db40f8e3cf"